-- ONLY CHANGE PRIORITY AND HEALTHLIMIT SETTINGS.  IF YOU CHANGE ANYTHING ELSE YOU MAY BREAK THE ADDON
-- HIGHER NUMBERS MEANS HIGHER PRIORITY
-- FOR THE HEALTHLIMIT SETTING, THE ADDON WILL STOP USING THE COMMAND ONCE THE TARGET HEALTH IS BELOW OR AT THE SPECIFIED HEALTH LIMIT
if not LPET_ACTIONS then LPET_ACTIONS = {} end
-- White Lion Abilities
LPET_ACTIONS.lionsRoar = {
  name="Lion's Roar",
  actionId=429,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 3,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 3,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.legTear = {
  name="Leg Tear",
  actionId=431,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 3,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.shred = {
  name="Shred",
  actionId=430,
  cooldown = 9999,
  prevCooldown = 9999,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 3,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.gutRipper = {
  name="Gut Ripper",
  actionId=434,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 9,
  careerId = LPET_CONSTANTS.WHITE_LION,  
  slot = nil,
  priority = 3,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.maul = {
  name="Maul",
  actionId=433,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 9,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.fangAndClaw = {
  name="Fang And Claw",
  actionId=432,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 9,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.terrifyingRoar = {
  name="Terrifying Roar",
  actionId=428,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 16,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 3,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.bite = {
  name="Bite",
  actionId=426,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 16,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.clawSweep = {
  name="Claw Sweep",
  actionId=427,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 16,
  careerId = LPET_CONSTANTS.WHITE_LION,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
-- Engineer Abilities
LPET_ACTIONS.penetratingRound = {
  name="Penetrating Round",
  actionId=420,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 3,
  careerId = LPET_CONSTANTS.ENGINEER,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.flamethrower = {
  name="Flamethrower",
  actionId=424,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 6,
  careerId = LPET_CONSTANTS.ENGINEER,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.shockGrenade = {
  name="Shock Grenade",
  actionId=422,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 8,
  careerId = LPET_CONSTANTS.ENGINEER,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.highExplosiveGrenade = {
  name="Explosive Grenade",  --Hack for High-Explosive Grenade
  actionId=423,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 13,
  careerId = LPET_CONSTANTS.ENGINEER,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.machineGun = {
  name="Machine Gun",
  actionId=421,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 17,
  careerId = LPET_CONSTANTS.ENGINEER,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.steamVent = {
  name="Steam Vent",
  actionId=425,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 21,
  careerId = LPET_CONSTANTS.ENGINEER,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
-- Magus Abilities
LPET_ACTIONS.daemonicFire = {
  name="Daemonic Fire",
  actionId=443,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 3,
  careerId = LPET_CONSTANTS.MAGUS,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.warpingEnergy = {
  name="Warping Energy",
  actionId=445,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 6,
  careerId = LPET_CONSTANTS.MAGUS,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.flameOfTzeentch = {
  name="Flame Of Tzeentch",
  actionId=447,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 8,
  careerId = LPET_CONSTANTS.MAGUS,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.flamesOfChange = {
  name="Flames Of Change",
  actionId=448,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 13,
  careerId = LPET_CONSTANTS.MAGUS,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.coruscatingEnergy = {
  name="Coruscating Energy",
  actionId=446,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 15,
  careerId = LPET_CONSTANTS.MAGUS,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.daemonicConsumption = {
  name="Daemonic Consumption",
  actionId=444,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 17,
  careerId = LPET_CONSTANTS.MAGUS,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
-- Squig Herder Abilities
LPET_ACTIONS.squigSqueal = {
  name="Squig Squeal",
  actionId=442,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 1,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.gore = {
  name="Gore",
  actionId=438,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 8,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.goopShootin = {
  name="Goop Shootin",  
  actionId=440,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 9,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.poisonedSpine = {
  name="Poisoned Spine",  
  actionId=437,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 10,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 2,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.spineFling = {
  name="Spine Fling",  
  actionId=436,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 17,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.sporeCloud = {
  name="Spore Cloud",  
  actionId=441,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 19,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.headButt = {
  name="Head Butt",  
  actionId=439,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 21,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}
LPET_ACTIONS.deathFromAbove = {
  name="Death From Above",  
  actionId=435,
  cooldown = 9999,
  prevCooldown = 9999,
  maxcooldown = 0,
  mode=LPET_CONSTANTS.AUTO_CAST,
  available=false,
  level = 23,
  careerId = LPET_CONSTANTS.SQUIG_HERDER,
  slot = nil,
  priority = 1,
  healthLimit = LPET_CONSTANTS.DEFAULT_HEALTH_LIMIT,
  autoUseToggled = false,
  commandSent = false,
}